#ifndef CLIENTSCRIPTSETTINGS_HPP_INCLUDED
#define CLIENTSCRIPTSETTINGS_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include "../JavaClass/Map.hpp"
#include <vector>
#include <cstdint>
#include <string>

namespace Internal
{
    class ClientScriptSettings : public Object
    {
        public:
            ClientScriptSettings(const void* Obj);

            ClientScriptSettings() = default;
            ClientScriptSettings(ClientScriptSettings&& Obj) = default;
            ClientScriptSettings(const ClientScriptSettings& Obj) = default;
            ClientScriptSettings& operator=(ClientScriptSettings&& Obj) = default;
            ClientScriptSettings& operator=(const ClientScriptSettings& Obj) = default;

            static Class GetClass();

            std::vector<std::int8_t> GetEntryPersists() const;
            Internal::Map GetMap() const;
            std::vector<std::string> GetStrings() const;

    };
}
#endif // CLIENTSCRIPTSETTINGS_HPP_INCLUDED
